import httpRequest from '@/utils/axios'

// 新建客户组
export function createCustomerGroup(data) {
  return httpRequest.post('/api/customer/admin/v1/group', data)
}

// 获取客户组列表
export function getCustomerGroup(params) {
  return httpRequest.get('/api/customer/admin/v1/groups', params)
}

// 获取客户
export function customerDetail(params) {
  return httpRequest.get(`/api/customer/admin/v1/${params.group_id}/group-customers`, params)
}

// 获取员工
export function employeeDetail(params) {
  return httpRequest.get(`/api/customer/admin/v1/${params.group_id}/group-staffs`, params)
}
//获取客户列表
export function getEmployeeList(params) {
  return httpRequest.get(`/api/customer/admin/v1/${params.group_id}/customer`, params)
}

// 编辑客户组
export function editCustomerGroup(id, data) {
  return httpRequest.put(`/api/customer/admin/v1/group/${id}`, data)
}
// 删除客户组
export function delCustomerGroup(id, data) {
  return httpRequest.delete(`/api/customer/admin/v1/group/${id}`, data)
}

// 添加客户
export function createCustomer(groupId, data) {
  return httpRequest.post(`/api/customer/admin/v1/${groupId}/customer-to-group`, data)
}
// 删除客户
export function delCustomer(id) {
  return httpRequest.delete(`/api/customer/admin/v1/customer/${id}`)
}
// 添加员工
export function createEmployee(groupId, data) {
  return httpRequest.post(`/api/customer/admin/v1/${groupId}/staff-to-group`, data)
}
// 删除员工
export function delEmployee(id, data) {
  return httpRequest.delete(`/api/customer/admin/v1/contact/${id}`, data)
}
// 搜索员工
export function getEmployee(params) {
  return httpRequest.get('/api/customer/admin/v1/system/search-sso-users', { params })
}
